# Interface CacheFileDataSourceItem

interface CacheFileDataSourceItem {
active: boolean;
fileDataSource: default;
interaction: Snap;
visibleWatcherUnregister: Function;
}

- Defined in src/editing/Snapping.js:874

#####
Index

### Properties

active
fileDataSource
interaction
visibleWatcherUnregister

## Properties

### active

active: boolean

- Defined in src/editing/Snapping.js:875

### fileDataSource

fileDataSource: default

- Defined in src/editing/Snapping.js:876

### interaction

interaction: Snap

- Defined in src/editing/Snapping.js:877

### visibleWatcherUnregister

visibleWatcherUnregister: Function

- Defined in src/editing/Snapping.js:878

Generated using TypeDoc